{% extends 'styleguide2/includes/organisms/header/simple_header.html' %}

{% load wagtailcore_tags %}

{% block header_margin_class %}{% endblock %}

{% block after_header %}
  {% if map_area_content or map_address_content %}
    <div
      class="
        bg-pirati-yellow py-4
      "
    >
      <div class="container--wide">
        {% include "styleguide2/includes/atoms/buttons/round_button.html" with text="Zobrazit na mapě" id="map-opener" show_arrow_on_hover=True %}
      </div>
    </div>

    <div
      class="
        opacity-0 hidden absolute top-0 left-0 overflow-hidden

        py-8

        bg-pirati-yellow
      "
      id="address-popup"
      data-is-open="false"
    >
      <div
        class="
          container--wide flex flex-col gap-4

          lg:flex-row lg:justify-between
        "
      >
        <div
          class="prose prose-black leading-6"
        >
          {% for block in map_address_content %}
            {% include_block map_address_content %}
          {% endfor %}
        </div>

        <div
          class="
            w-full [&_*]:mt-0

            lg:w-[35rem]
          "
        >
          {% for block in map_area_content %}
            {% include_block block %}
          {% endfor %}
        </div>
      </div>
    </div>

    <script>
      document.getElementById("map-opener").addEventListener(
        "click",
        (event) => {
          const addressPopup = document.getElementById("address-popup");

          if (addressPopup.dataset.isOpen === "false") {
            document.getElementById(`${event.currentTarget.id}-inner-text`).innerHTML = "Uzavřít mapu"

            addressPopup.dataset.isOpen = "true";
            addressPopup.classList.remove("hidden");
            setTimeout(
              () => {
                addressPopup.classList.remove("absolute");
                addressPopup.classList.remove("top-0");
                addressPopup.classList.remove("left-0");
                addressPopup.classList.add("duration-300");
                addressPopup.classList.remove("opacity-0");

                // For some reason, this can't run immediately
                setTimeout(
                  () => { addressPopup.scrollIntoView() },
                  1
                )
              },
              1
            )
          } else {
            document.getElementById(`${event.currentTarget.id}-inner-text`).innerHTML = "Zobrazit na mapě"

            addressPopup.dataset.isOpen = "false";
            addressPopup.classList.add("absolute");addressPopup.classList.add("opacity-0");
            addressPopup.classList.add("top-0");
            addressPopup.classList.add("left-0");
            addressPopup.classList.remove("duration-300");
            addressPopup.classList.add("hidden");
          }
        }
      )
    </script>
  {% endif %}
{% endblock %}
